Providers

List all providers

List all provider configurations (built-in + custom) for the organization. Available to all org members.

GET/api/providers

Authorization

better-auth.session_token<token>

Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.

In: cookie

Header Parameters

X-Org-Id?string

Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).

Formatuuid
curl -X GET "https://loading/api/providers"
{
  "providers": [
    {
      "id": "string",
      "displayName": "string",
      "authMode": "oauth2",
      "source": "built-in",
      "hasCredentials": true,
      "enabled": true,
      "adminCredentialSchema": {},
      "authorizationUrl": "string",
      "tokenUrl": "string",
      "refreshUrl": "string",
      "requestTokenUrl": "string",
      "accessTokenUrl": "string",
      "defaultScopes": [
        "string"
      ],
      "scopeSeparator": "string",
      "pkceEnabled": true,
      "tokenAuthMethod": "client_secret_post",
      "authorizationParams": {},
      "tokenParams": {},
      "credentialSchema": {},
      "credentialFieldName": "string",
      "credentialHeaderName": "string",
      "credentialHeaderPrefix": "string",
      "availableScopes": [
        {
          "value": "string",
          "label": "string"
        }
      ],
      "authorizedUris": [
        "string"
      ],
      "allowAllUris": true,
      "iconUrl": "string",
      "categories": [
        "string"
      ],
      "docsUrl": "string",
      "usedByAgents": 0
    }
  ],
  "callbackUrl": "string"
}
{
  "type": "https://docs.appstrate.dev/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing session",
  "code": "unauthorized",
  "requestId": "req_abc123"
}